%global srcname Unidecode

Name:		python-unidecode
Version:	0.04.16
Release:	2%{?dist}
Summary:	US-ASCII transliterations of Unicode text

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://pypi.python.org/pypi/%{srcname}/%{version}
Source0:	http://pypi.python.org/packages/source/U/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel
%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires: python3-devel
%endif


%description
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.

%if 0%{?fedora} || 0%{?rhel} > 7
%package -n python3-unidecode
Summary:	US-ASCII transliterations of Unicode text

%description -n python3-unidecode
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.
%endif


%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%if 0%{?fedora} || 0%{?rhel} > 7
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%if 0%{?fedora} || 0%{?rhel} > 7
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%files
%doc README ChangeLog
%{python_sitelib}/unidecode/
%{python_sitelib}/*.egg-info

%if 0%{?fedora} || 0%{?rhel} > 7
%files -n python3-unidecode
%doc README ChangeLog
%{python3_sitelib}/unidecode/
%{python3_sitelib}/*.egg-info
%endif


%changelog
* Sun Sep 07 2014 P J P <pjp@fedoraproject.org> - 0.04.16-2
- Fixed python3-unidecode build to make it conditional on epel.

* Tue Sep 02 2014 P J P <pjp@fedoraproject.org> - 0.04.16-1
- New release

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.04.13-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.04.13-1
- new upstream release
- python 3 build. resolves rhbz#975711

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.04.7-7
- This package does not use setuptools.  Remove the BR for that.  Also correct the
  %%files list -- The egg-info is a file, not a directory (b/c it is created by
  distutils, not by setuptools.)  Older rpms fixed up the entry behind the
  scenes.  Newer ones fail so we need to correct it explicitly.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.04.7-4
- mark it noarch.  Pointed out Ville Skyttä

* Fri Jul 15 2011 P J P <pj.pandit@yahoo.co.in> - 0.04.7-3
- changed to use srcname and version macros in URL & Source0 variables.

* Tue Jul 12 2011 P J P <pj.pandit@yahoo.co.in> - 0.04.7-2
- added BuildRequires, and changed description to be more concise.

* Mon Jul 11 2011 P J P <pj.pandit@yahoo.co.in> - 0.04.7-1
- Initial RPM for python-unidecode.
